**********************Logistische Regressionsanalyse************************.


***Datensatz: ESS4e02.sav (2008).
**Bearbeitung: Dr. Sabine Fromm, Mrz 2010.

***Auswahl Deutschland.

freq var cntry.

select if (cntry eq 'DE').
freq var cntry.

***Auswahl Altergruppe 18 - 54.

freq /var agea.
compute alter_dich = 0.
if (agea >= 18 & agea <= 54) alter_dich = 1.
exec.

select if (alter_dich = 1).
freq var agea.


***speichern unter neuem Namen ESSe02_LogReg.sav, damit der Ursprungsdatensatz erhalten bleibt.
***********************************************************************************************.
*******************************abhngige Variable Zweitstimmen bei letzter Bundestagswahl und Nichtwaehler.

freq var prtvbde2 vote.

CROSSTABS
  /TABLES=prtvbde2  BY vote
  /CELLS= COUNT
  /missing include.

******Berechnung der kombinierten Variable aus vote und prtvbde2.
missing values prtvbde2 ().
compute wahl = 0.
if (prtvbde2 eq 1) wahl = 1.
if (prtvbde2 eq 2) wahl = 2.
if (prtvbde2 eq 3) wahl = 3.
if (prtvbde2 eq 5) wahl = 4. 
if (vote eq 2) wahl = 5. 
if (prtvbde2 eq 77) wahl = 6. 
if (prtvbde2 eq 4) wahl = 7.
if (prtvbde2 eq 6 or prtvbde2 eq 7) wahl = 8.
if (prtvbde2 eq 8) wahl = 9.

value labels wahl 1 'SPD' 2 'CDU/CSU' 3 'Bndnis 90/Die Grnen' 4 'PDS' 5 'Nichtwhler'  
6 'Antwort verweigert' 7 'FDP' 8 'Rep, NPD/DVU' 9 'Sonstige'

freq /var wahl.

crosstabs /tables prtvbde2 vote by wahl /missing include.

recode wahl (0 = sysmis).
formats wahl (f2.0).
freq var wahl.

***************Dichotomisierung der Variable Wahl fr den Zwei-Gruppen-Fall.

if (wahl ne 5) wahl_2 = 0.
if (wahl eq 5) wahl_2 = 1.
freq var wahl_2.

value labels wahl_2 1'Nichtwhler' 0 'Whler'.
formats wahl_2 (f2.0).
crosstabs /tables = wahl_2 by vote /missing include.

crosstabs /tables = wahl by wahl_2 /cells count.

**************************unabhngige Variablen.

*********soziodemografische.
freq /var  gndr agea eduyrs regionde.

***Region Ostdeutschland / Westdeutschland.

crosstabs tables = regionde by intewde /missing include.
compute region_2 = 0.
if (regionde ge 1 and regionde le 10 or (regionde eq 11 and intewde eq 2)) region_2 = 1.
freq var region_2.

crosstabs tables regionde by region_2 /missing include.
value labels region_2 0 'D-Ost' 1 'D-West'.
formats region_2 (f2.0).
freq/var region_2.


*******konomische Situation.

freq /var mnactic hincsrca hincfel lkuemp lknemny.

****Vetrauen.

*politische Institutionen.
freq /var trstprl trstlgl trstplt.
*Personen.
freq /var ppltrst.

*********Zufriedenheit mit Demokratie und Lebenszufriedenheit.

freq /var stfdem stflife.

***Links-Rechts-Skala.

freq /var lrscale.

****************Recodierungen.

crosstabs /tables mnactic by wahl_2 /cells count row /missing include.
recode mnactic (1 = 1) (2 = 2) (3,4 = 3) (8 = 4) (else = 5) into main_neu.
variable labels main_neu 'Hauptaktivitt (neu)'.
value labels main_neu 1 'Erwerbsarbeit' 2 'Ausbildung' 3 'Arbeitslos' 4 'Hausfrau/-mann' 5 'sonstige'.
formats main_neu (f2.0).
crosstabs main_neu by wahl_2 /cells count row.

freq /var hincsrca.
recode hincsrca (1, 2, 3 = 1) (5, 6 = 2) (4, 7, 8 = 3) into hinc_neu.
formats hinc_neu (f2.0).
variable labels hinc_neu 'Hauptquelle des HH-EK (neu)'.
value labels hinc_neu 1 'Erwerbsttigkeit' 2 'Sozialtransfers' 3 'sonstige'.
crosstabs /tables = hincsrca by hinc_neu /missing include.

crosstabs /tables = hincfel lkuemp lknemny by wahl_2 /cells count row.

recode hincfel lknemny (1=1) (2=2) (3,4 = 3) into hincfel_neu lknemny_neu.
variable labels hincfel_neu 'Einschtzung kon. Lage HH'.
value labels hincfel_neu 1 'komfortable Lage' 2 'kommen zurecht' 3 'schwierige/sehr schwierige Lage'.
variable labels lknemny_neu 'Wkt., EK reicht in kommenden Jahr nicht' .
value labels lknemny_neu 1 'berhaupt nicht wahrscheinlich' 2 'Nicht sehr wahrscheinlich' 3 'Wahrscheinlich/sehr wahrscheinlich'.
formats hincfel_neu lknemny_neu (f2.0).
freq /var hincfel_neu lknemny_neu.


****Beispiel fr Mittwertvergleiche.

MEANS
  TABLES= trstprl trstlgl trstplt stfdem by wahl_2  
  /CELLS MEAN MEDIAN STDDEV COUNT  .

********************************************************************************************************************.
************************************Logistische Regressionsmodelle******************************************.
********************************************************************************************************************.

***********Modell 1 ohne Interaktionseffekte.

LOGISTIC REGRESSION  wahl_2
  /METHOD = fstep(cond) gndr agea eduyrs region_2
  /method = fstep(cond) main_neu hinc_neu hincfel_neu lkuemp lknemny_neu
  /method = fstep(cond) ppltrst trstprl trstlgl trstplt stflife stfdem  
  /contrast (gndr)=Indicator(2) /contrast (region_2) = Indicator(2)
  /CONTRAST (main_neu)=Indicator(1)  /CONTRAST (hinc_neu)=Indicator(1)
  /contrast(hincfel_neu) = Indicator(1) /contrast (lkuemp) = Indicator(1) 
  /contrast (lknemny_neu) = Indicator(1)
  /CLASSPLOT /CASEWISE OUTLIER(2)
  /PRINT = GOODFIT corr summary CI(95)
  /CRITERIA = PIN(.1) POUT(.15) ITERATE(20) CUT(.81) 
  /save pred.


*****ROC-Kurve zur Festlegung eines gut trennenden Cut Off.

ROC
  PRE_1  BY wahl_2 (1)
  /PLOT = CURVE(REFERENCE)
  /PRINT = COORDINATES
  /CRITERIA = CUTOFF(INCLUDE) TESTPOS(LARGE) DISTRIBUTION(FREE) CI(95)
  /MISSING = EXCLUDE .

***********Modell 2 ohne Interaktionseffekte, method fstep, cut off aus ROC-Kurve.

LOGISTIC REGRESSION  wahl_2
  /METHOD = fstep(cond) gndr agea eduyrs region_2
  /method = fstep(cond) main_neu hinc_neu hincfel_neu lkuemp lknemny_neu
  /method = fstep(cond) ppltrst trstprl trstlgl trstplt stflife stfdem  
  /contrast (gndr)=Indicator(2) /contrast (region_2) = Indicator(2)
  /CONTRAST (main_neu)=Indicator(1)  /CONTRAST (hinc_neu)=Indicator(1)
  /contrast(hincfel_neu) = Indicator(1) /contrast (lkuemp) = Indicator(1) 
  /contrast (lknemny_neu) = Indicator(1)
  /CLASSPLOT /CASEWISE OUTLIER(2)
  /PRINT = GOODFIT corr summary CI(95)
  /CRITERIA = PIN(.1) POUT(.15) ITERATE(20) CUT(.13) 
  /save pred.



***Modell 3 mit Interaktionseffekten (Variablen, die im Modell ohne IA aufgenommen wurden), method fstep.

LOGISTIC REGRESSION  wahl_2
  /METHOD = fstep(cond) agea eduyrs region_2 main_neu  hincfel_neu 
  ppltrst trstprl stfdem  eduyrs*main_neu region_2*main_neu
  /contrast (region_2) = Indicator(1)
  /CONTRAST (main_neu)=Indicator(1)  /CONTRAST (hinc_neu)=Indicator(1)
  /contrast(hincfel_neu) = Indicator(1) 
  /CLASSPLOT /CASEWISE OUTLIER(2)
  /PRINT = GOODFIT corr summary CI(95)
  /CRITERIA = PIN(.1) POUT(.15) ITERATE(20) CUT(.13) .

***Modell 4 mit Interaktionseffekten (Variablen, die im Modell ohne IA aufgenommen wurden), method enter.

LOGISTIC REGRESSION  wahl_2
  /METHOD = enter agea eduyrs region_2 main_neu  hincfel_neu 
  ppltrst trstprl stfdem  eduyrs*main_neu region_2*main_neu
  /contrast (region_2) = Indicator(1)
  /CONTRAST (main_neu)=Indicator(1)  /CONTRAST (hinc_neu)=Indicator(1)
  /contrast(hincfel_neu) = Indicator(1) 
  /CLASSPLOT /CASEWISE OUTLIER(2)
  /PRINT = GOODFIT corr summary CI(95)
  /CRITERIA = PIN(.1) POUT(.15) ITERATE(20) CUT(.13)
  /save pred .

****Zum Vergleich mit der Kreuztabelle aus region_2, main_neu und wahl_2 - Modell nur mit diesen Vars.

LOGISTIC REGRESSION  wahl_2
  /METHOD = enter region_2 main_neu   region_2*main_neu
  /contrast (region_2) = Indicator(1)
  /CONTRAST (main_neu)=Indicator(1)
  /CLASSPLOT /CASEWISE OUTLIER(2)
  /PRINT = GOODFIT corr summary CI(95)
  /CRITERIA = PIN(.1) POUT(.15) ITERATE(20) CUT(.13) .



***Grafische Darstellung der predicted probabilities.

GRAPH /HISTOGRAM(NORMAL)=PRE_1  /PANEL ROWVAR=wahl_2 ROWOP=CROSS.

****Mittelwertvergleich.

MEANS
  TABLES=PRE_1  BY wahl_2
  /CELLS MEAN MEDIAN STDDEV min max COUNT  .

***********************************************************************************************************.
**********Multinomiale logistische Regression*******************************************************.
***********************************************************************************************************.

freq /var wahl.

***Einschrnken durch Ausschluss kleinerer Parteien und "keine Angabe".

recode wahl (6,7,8,9 = 99) .
missing values wahl (99).
freq /var wahl.

crosstabs /tables = region_2 by wahl /cells count row.

***Vars, die sich im binren Fall bewhrt haben, plus hinc_neu und gndr.
NOMREG
  wahl  (BASE=4 ORDER=ASCENDING) BY region_2 gndr main_neu hinc_neu hincfel_neu  
   WITH agea eduyrs ppltrst trstprl stfdem
  /CRITERIA CIN(95) DELTA(0) MXITER(100) MXSTEP(5) CHKSEP(20) LCONVERGE(0)
  PCONVERGE(0.000001) SINGULAR(0.00000001)
  /MODEL = | forward = region_2 gndr main_neu hinc_neu hincfel_neu  
   agea eduyrs ppltrst trstprl stfdem 
  /STEPWISE = PIN(.05) POUT(0.1) MINEFFECT(0) RULE(SINGLE) ENTRYMETHOD(LR)
  REMOVALMETHOD(LR)
  /INTERCEPT =INCLUDE
  /PRINT = CLASSTABLE FIT PARAMETER SUMMARY LRT CPS STEP MFI  kernel.

***Modell mit Interaktionseffekten.

NOMREG
  wahl  (BASE=4 ORDER=ASCENDING) BY region_2 gndr main_neu hinc_neu hincfel_neu  
   WITH agea eduyrs ppltrst trstprl stfdem
  /CRITERIA CIN(95) DELTA(0) MXITER(100) MXSTEP(5) CHKSEP(20) LCONVERGE(0)
  PCONVERGE(0.000001) SINGULAR(0.00000001)
  /MODEL = | forward = region_2 gndr main_neu hinc_neu hincfel_neu  
   agea eduyrs ppltrst trstprl stfdem trstprl*region_2
  /STEPWISE = PIN(.05) POUT(0.1) MINEFFECT(0) RULE(SINGLE) ENTRYMETHOD(LR)
  REMOVALMETHOD(LR)
  /INTERCEPT =INCLUDE
  /PRINT = CLASSTABLE FIT PARAMETER SUMMARY LRT CPS STEP MFI  kernel.
