**********************Diskriminanzanalyse************************.

***Datensatz: ESS4e02.sav (2008).
**Bearbeitung: Dr. Sabine Fromm, Mrz 2010.

***Auswahl Deutschland.

freq var cntry.

select if (cntry eq 'DE').
freq var cntry.

***Auswahl Altergruppe 18 - 54.

freq /var agea.
compute alter_dich = 0.
if (agea >= 18 & agea <= 54) alter_dich = 1.
exec.

select if (alter_dich = 1).
freq var agea.


***speichern unter neuem Namen, damit der Ursprungsdatensatz erhalten bleibt.
***********************************************************************************************.
*******************************abhngige Variable Zweitstimmen bei letzter Bundestagswahl und Nichtwaehler.

freq var prtvbde2 vote.

CROSSTABS
  /TABLES=prtvbde2  BY vote
  /CELLS= COUNT
  /missing include.

******Berechnung der kombinierten Variable aus vote und prtvbde2.
missing values prtvbde2 ().
compute wahl = 0.
if (prtvbde2 eq 1) wahl = 1.
if (prtvbde2 eq 2) wahl = 2.
if (prtvbde2 eq 3) wahl = 3.
if (prtvbde2 eq 5) wahl = 4. 
if (vote eq 2) wahl = 5. 
if (prtvbde2 eq 77) wahl = 6. 
if (prtvbde2 eq 4) wahl = 7.
if (prtvbde2 eq 6 or prtvbde2 eq 7) wahl = 8.
if (prtvbde2 eq 8) wahl = 9.

value labels wahl 1 'SPD' 2 'CDU/CSU' 3 'Bndnis 90/Die Grnen' 4 'PDS' 5 'Nichtwhler'  
6 'Antwort verweigert' 7 'FDP' 8 'Rep, NPD/DVU' 9 'Sonstige'

freq /var wahl.

crosstabs /tables prtvbde2 vote by wahl /missing include.

recode wahl (0 = sysmis).
formats wahl (f2.0).
freq var wahl.

***************Dichotomisierung der Variable Wahl fr den Zwei-Gruppen-Fall.

if (wahl ne 5) wahl_2 = 0.
if (wahl eq 5) wahl_2 = 1.
freq var wahl_2.

value labels wahl_2 1'Nichtwhler' 0 'Whler'.
formats wahl_2 (f2.0).
crosstabs /tables = wahl_2 by vote /missing include.

crosstabs /tables = wahl by wahl_2 /cells count /missing include.

*************************unabhngige Variablen wie im Kapitel Logistische Regression und ihre Rekodierung fr die Diskriminanzanalyse (Einschrnkung auf Vars,
  die bei /method fstep - ohne Interaktionen - ins Modell aufgenommen wurden.

*********soziodemografische.
freq /var  gndr agea eduyrs regionde.

**Geschlecht.

recode gndr (1=1) (2=0) into gndr_2.
value labels gndr_2 1 'mnnlich' 0 'weiblich'.
exec.
freq /var gndr_2.

***Region Ostdeutschland / Westdeutschland.

crosstabs tables = regionde by intewde /missing include.
compute region_2 = 0.
if (regionde ge 1 and regionde le 10 or (regionde eq 11 and intewde eq 2)) region_2 = 1.
freq var region_2.

crosstabs tables regionde by region_2 /missing include.
value labels region_2 0 'D-Ost' 1 'D-West'.
formats region_2 (f2.0).
freq/var region_2.


*******konomische Situation.

freq /var mnactic hincfel .

****Vetrauen.

*politische Institutionen.
freq /var trstprl .
*Personen.
freq /var ppltrst.

*********Zufriedenheit mit Demokratie .

freq /var stfdem .

****************Recodierungen.

crosstabs /tables mnactic by wahl_2 /cells count row /missing include.
recode mnactic (1 = 1) (2 = 2) (3,4 = 3) (8 = 4) (else = 5) into main_neu.
variable labels main_neu 'Hauptaktivitt (neu)'.
value labels main_neu 1 'Erwerbsarbeit' 2 'Ausbildung' 3 'Arbeitslos' 4 'Hausfrau/-mann' 5 'sonstige'.
formats main_neu (f2.0).
crosstabs main_neu by wahl_2 /cells count row.

**Vernderungen der Rekodierung fr Diskriminanzanalyse.
compute main_1 = 0.
compute main_2 =0.
compute main_3=0.
compute main_4=0.
compute main_5=0.
if (main_neu = 1) main_1 = 1.
if (main_neu = 2) main_2 = 1.
if (main_neu = 3) main_3 = 1.
if (main_neu = 4) main_4 = 1.
if (main_neu = 5) main_5 = 1.
formats main_1 to main_5 (f2.0).
variable labels main_1 'erwerbsttig' /main_2 'Ausbildung' /main_3 'arbeitslos' /main_4 'Hausfrau/-mann' /main_5 'sonstige'.
freq var main_1 to main_5.

crosstabs /tables = main_1 to main_5 by main_neu.

freq /var hincsrca.
recode hincsrca (1, 2, 3 = 1) (5, 6 = 2) (4, 7, 8 = 3) into hinc_neu.
formats hinc_neu (f2.0).
variable labels hinc_neu 'Hauptquelle des HH-EK (neu)'.
value labels hinc_neu 1 'Erwerbsttigkeit' 2 'Sozialtransfers' 3 'sonstige'.
crosstabs /tables = hincsrca by hinc_neu /missing include.

**Vernderungen der Rekodierung fr Diskriminanzanalyse.
compute hinc_1 = 0.
compute hinc_2 = 0.
compute hinc_3 = 0.
if (hinc_neu = 1) hinc_1 =1.
if (hinc_neu = 2) hinc_2 =1.
if (hinc_neu = 3) hinc_3 =1.
formats hinc_1 to hinc_3 (f2.0).
variable labels hinc_1 'Hauptquelle des HH-EK: Erwerbsarbeit' /hinc_2 'Hauptquelle des HH-EK: Sozialtransfers' / hinc_3 'Hauptquelle des HH-EK: Sonstigest'.
crosstabs /tables = hinc_1 to hinc_3 by hinc_neu.

recode hincfel (1=1) (2=2) (3,4 = 3) into hincfel_neu .
variable labels hincfel_neu 'Einschtzung kon. Lage HH'.
value labels hincfel_neu 1 'komfortable Lage' 2 'kommen zurecht' 3 'schwierige/sehr schwierige Lage'.
formats hincfel_neu (f2.0).
freq /var hincfel_neu .

**Vernderungen der Rekodierung fr Diskriminanzanalyse.
***hincfel wird dichotomisiert, so dass die Ausprgung 0 die beiden positiven, die Ausprgung 1 die negative Situationseinschtzungen umfasst.

recode hincfel_neu  (1,2 = 0) (3 = 1) into hincfel_dich .
variable labels hincfel_dich 'Einschtzung kon. Lage HH (dich.)'.
value labels hincfel_dich 0 'gute/eher gute k. Sit.' 1 'schwierige/sehr schwierige k. Sit.'.
formats hincfel_dich  (f2.0).
freq var hincfel_dich .

crosstabs /tables hincfel_neu  by hincfel_dich .


***speichern.

******************Diskriminanzanalyse mit 2 Gruppen - simultane Aufnahme der Variablen.
freq /var gndr_2 agea eduyrs region_2 main_1 main_2 main_3 main_4  main_5 hinc_1 hinc_2  hinc_3 hincfel_dich  trstprl ppltrst stfdem .

DISCRIMINANT
  /GROUPS=wahl_2(0 1)
  /VARIABLES= gndr_2 agea eduyrs region_2 main_1 main_2 main_3 main_4  main_5 hinc_1 hinc_2  hinc_3 hincfel_dich  trstprl ppltrst stfdem 
  /ANALYSIS ALL 
  /method direct
  /PRIORS size
  /save probs class scores
  /STATISTICS=MEAN STDDEV TABLE
  /PLOT=COMBINED SEPARATE MAP
  /PLOT=CASES(20)
  /CLASSIFY=NONMISSING POOLED .

****Test auf Normalverteilung.
EXAMINE
  VARIABLES=Dis1_1 BY wahl_2
  /PLOT  NPPLOT
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

***ROC-Kurve.

ROC
   Dis2_2  BY wahl_2 (1)
  /PLOT = CURVE(REFERENCE)
  /PRINT = SE COORDINATES
  /CRITERIA = CUTOFF(INCLUDE) TESTPOS(LARGE) DISTRIBUTION(FREE) CI(95)
  /MISSING = EXCLUDE .


******************Diskriminanzanalyse mit 2 Gruppen - schrittweise Aufnahme der Variablen mit /method wilks.

DISCRIMINANT
  /GROUPS=wahl_2(0 1)
  /VARIABLES= gndr_2 agea eduyrs region_2 main_1 main_2 main_3 main_4  main_5 hinc_1 hinc_2  hinc_3 hincfel_dich  trstprl ppltrst stfdem 
  /ANALYSIS ALL 
  /method wilks
  /pin = 0.1 /pout= 0.15
  /PRIORS size
  /save probs class scores
  /STATISTICS=MEAN STDDEV TABLE
  /PLOT=COMBINED SEPARATE MAP
  /PLOT=CASES(20)
  /CLASSIFY=NONMISSING POOLED .


******************Diskriminanzanalyse mit 5 Gruppen - schrittweise Aufnahme der Variablen mit /method wilks.
freq /var wahl.

DISCRIMINANT
  /GROUPS=wahl(1 5)
   /VARIABLES= gndr_2 agea eduyrs region_2 main_1 main_2 main_3 main_4  main_5 hinc_1 hinc_2  hinc_3 hincfel_dich  trstprl ppltrst stfdem 
  /ANALYSIS ALL 
  /method wilks
  /pin = 0.1 /pout= 0.15
  /PRIORS size
  /save probs class scores
  /STATISTICS=MEAN STDDEV TABLE
  /PLOT=COMBINED SEPARATE MAP
  /PLOT=CASES(20)
  /CLASSIFY=NONMISSING POOLED .

******************Diskriminanzanalyse mit 5 Gruppen - schrittweise Aufnahme der Variablen mit /method wilks - Einschrnkung auf 2 Funktionen.

DISCRIMINANT
  /GROUPS=wahl(1 5)
  /VARIABLES=gndr_2 agea eduyrs region_2 main_1 main_2 main_3 main_4  main_5 hinc_1 hinc_2  hinc_3 hincfel_dich  trstprl ppltrst stfdem      
    /ANALYSIS ALL 
  /method wilks
  /functions (2)
  /pin = 0.1 /pout= 0.15
  /PRIORS size
  /save probs class scores
  /STATISTICS=MEAN STDDEV TABLE
  /PLOT=COMBINED SEPARATE MAP
  /PLOT=CASES(20)
  /CLASSIFY=NONMISSING POOLED .
