****Clusteranalyse.
***Daten: Eurostat 2009, http://epp.eurostat.ec.europa.eu/portal/page/portal/statistics/search_database; Beschreibung im Kapitel.
**Dr. Sabine Fromm, Mrz 2010.


***Variablen in der Analyse.

freq /var w_bild_high m_bild_high w_bild_low m_bild_low m_besch_1564
  w_besch_1564 m_teilzeit_1564 w_teilzeit_1564 arm_risk.

***lschen von MZ und CH wegen fehlender Werte.

select if (ID ne 'CH' and ID ne 'MK').
freq /var ID.


****Correlations.
CORRELATIONS
  /VARIABLES=w_bild_high m_bild_high w_bild_low m_bild_low m_besch_1564
  w_besch_1564 m_teilzeit_1564 w_teilzeit_1564 arm_risk
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE .

****Sehr hohe Korrelation der Bildungsvariablen, deshalb Berechnung von Differenzen.

***Differenz Anteile Frauen - Mnner mit hoher Bildung.
compute bild_high_diff = w_bild_high - m_bild_high.
execute.

***Differenz Anteile Frauen - Mnner mit niedriger Bildung.
compute bild_low_diff = w_bild_low - m_bild_low.
execute.

***Differenz Beschftigung.

compute besch_diff = w_besch_1564 - m_besch_1564.
execute.


****Differenz Teilzeit-Anteile.
compute teil_diff = w_teilzeit_1564 - m_teilzeit_1564.
execute.


CORRELATIONS
  /VARIABLES= arm_risk bild_high_diff bild_low_diff
  besch_diff teil_diff 
  /PRINT=TWOTAIL NOSIG
  /MISSING=pairwise .



****Streudiagramme der noch stark korrelierenden Variablen bild_high_diff bild_low_diff .
GRAPH
  /SCATTERPLOT(BIVAR)=bild_high_diff WITH bild_low_diff BY ID (IDENTIFY)
  /MISSING=variablewise .

temporary.
select if (id ne 'TR').
GRAPH
  /SCATTERPLOT(BIVAR)=bild_high_diff WITH bild_low_diff BY ID (IDENTIFY)
  /MISSING=variablewise .

***z-Standardisierung.
DESCRIPTIVES
  VARIABLES=  arm_risk bild_high_diff bild_low_diff
  besch_diff teil_diff  /SAVE
  /STATISTICS=MEAN STDDEV MIN MAX .


*************hierarchische Clusteranalyse.

**single linkage - Ausreisserkennung.

**ursprngliuche Werte.
cluster arm_risk bild_high_diff bild_low_diff besch_diff teil_diff
 /measure seuclid 
 /method single
 /id= id 
 /print cluster (3,6) schedule
 /plot dendrogram. 


***z-standardisierte Werte.

cluster zarm_risk zbild_high_diff zbild_low_diff zbesch_diff zteil_diff
 /measure seuclid 
 /method single
 /id= id 
 /print cluster (3,6) schedule
 /plot dendrogram. 


*******ward.

**ursprngliche Werte.

cluster arm_risk bild_high_diff bild_low_diff besch_diff teil_diff
 /measure seuclid 
 /method ward
 /id= id 
 /print cluster (3,6) schedule
 /plot dendrogram. 

**z-standardisierte Werte.

cluster zarm_risk zbild_high_diff zbild_low_diff zbesch_diff zteil_diff
 /measure seuclid 
 /method ward
 /id= id 
 /print cluster (3,6) schedule
 /plot dendrogram. 


COMPUTE nr = $casenum.
EXECUTE .

*****Clusteranalyse mit Speicherung von 4 und 5 Clustern.
cluster zarm_risk zbild_high_diff zbild_low_diff zbesch_diff zteil_diff
 /measure seuclid 
 /method ward
 /save cluster (4,5)
 /id= id 
 /print cluster (4,5) schedule
 /plot dendrogram. 

***Klassendiagnose.

MEANS
  TABLES=arm_risk bild_high_diff bild_low_diff besch_diff teil_diff  BY
  CLU4_1 CLU5_1
  /CELLS MEAN STDDEV VAR COUNT  .

list var = id clu4_1 clu5_1.

*****Austauschverfahren.

MEANS
  TABLES=Zarm_risk Zbild_high_diff Zbild_low_diff Zbesch_diff Zteil_diff  BY
  CLU5_1
  /CELLS MEAN  .


QUICK CLUSTER
  Zarm_risk Zbild_high_diff Zbild_low_diff Zbesch_diff Zteil_diff
  /MISSING=LISTWISE
  /CRITERIA= CLUSTER(5) MXITER(10) CONVERGE(0)
  /METHOD=KMEANS(NOUPDATE)
  /SAVE CLUSTER DISTANCE
  /PRINT ID(ID ) INITIAL CLUSTER DISTAN
  /FILE='C:\Dokumente und Einstellungen\Dr. Sabine Fromm\Eigene'+
 ' Dateien\Texte\Lehrbuch\Clusteranalyse\Clusterzentren_Start.sav'
  /OUTFILE='C:\Dokumente und Einstellungen\Dr. Sabine Fromm\Eigene'+
 ' Dateien\Texte\Lehrbuch\Clusteranalyse\Clusterzentren_Ende.sav'.


****Klassendiagnose nach Verbesserung der Lsung mit Quick Cluster.

MEANS
  TABLES=arm_risk bild_high_diff bild_low_diff besch_diff teil_diff  BY QCL_1
  /CELLS MEAN VAR STDDEV COUNT  .
