*****Korrespondenzanalyse****.
***Dr. Sabine Fromm, Mrz 2010.
***Daten: World Value Study, wvs2005_v20090901a.sav.


FREQUENCIES VARIABLES=V12 V13 V14 V15 V16 V17 V18 V19 V20 V21
  /ORDER=ANALYSIS.


*****Lnderauswahl.
*Ziel: einige europische Lnder plus USA.
freq /var v2a.
compute cntry = v2a.
recode cntry (3, 4, 8, 11, 19, 25,  34,  37, 44 = copy) (else = -999).
formats cntry (f3.0).
exec.
missing values cntry ().
freq /var cntry.

**labels kopieren.

APPLY DICTIONARY FROM * /SOURCE VARIABLES  = v2a /target  VARIABLES  = cntry.
freq /var cntry.

****Auswahl der nicht auf -999 gesetzten Lnder.

select if (cntry ne -999).
freq /var cntry.

******speichern unter neuem Namen.

****Kreuztabelle.
***dazu Ausprgung 2 "not mentioned" jeweils ausschlieen, damit Tabelle nicht so gro wird.

recode v12 to v21 (2 = 0).
missing values v12 to v21 (-9 0).
exec.
freq /var v12 to v21.
* Basic Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /TABLES cntry
  BY (V12 + V13 + V14 + V15 + V16 + V17 + V18 + V19 + V20 + V21) >
  (STATISTICS).

***Erstellen einer Variable.
*********Hierzu in Excel die Datenmatrix erstellen und in SPSS einlesen, siehe Kapitel.

WEIGHT BY weight.
exec.

CROSSTABS
  /TABLES=cntry BY ziel
  /FORMAT=AVALUE TABLES
  /CELLS=COUNT
  /COUNT ROUND CELL.

value labels cntry 
3 'DE-W'
4 'Italien'
5 'Spanien'
6 'USA'
7 'Schweden'
8 'Polen'
9 'DE-O'
10 'Rumnien'
11 'Trkei'
.
freq /var cntry.

value labels ziel
12 'Unabhngigkeit, Selbstndigkeit'
13 'Hart arbeiten'
14 'Verantwortungsgefhl'
15 'Phantasie, Vorstellungsvermgen'
16 'Andere achten, tolerant sein'
17 'Sparsamkeit'
18 'Entschlossenheit, Durchhaltevermgen'
19 'Fester religiser Glaube'
20 'Selbstlosigkeit'
21 'Gehorsam'.

freq /var ziel.

***Modell 1 - Zeilenprinzipal.

CORRESPONDENCE
  TABLE = cntry(3 11)  BY ziel(12 21)
  /DIMENSIONS = 2
  /MEASURE = CHISQ
  /STANDARDIZE = RCMEAN
  /NORMALIZATION = rprincipal
  /PRINT = TABLE RPOINTS CPOINTS RPROFILES CPROFILES
  /PLOT = NDIM(1,max) BIPLOT(10) RPOINTS(10) CPOINTS(10) TRROWS(20)
  TRCOLUMNS(20)
  /outfile score ('scores_rprincip.sav') .

***Modell 2 - Symmetrisch.

CORRESPONDENCE
  TABLE = cntry(3 11)  BY ziel(12 21)
  /DIMENSIONS = 2
  /MEASURE = CHISQ
  /STANDARDIZE = RCMEAN
  /NORMALIZATION = SYMMETRICAL
  /PRINT = TABLE RPOINTS CPOINTS RPROFILES CPROFILES
  /PLOT = NDIM(1,MAX) BIPLOT(10) RPOINTS(10) CPOINTS(10) TRROWS(20)
  TRCOLUMNS(20)
   /outfile score ('scores_symm.sav') .


***Erzeugung einer Grafik mit dem Scores-Datensatz.

GRAPH
  /SCATTERPLOT(BIVAR)=DIM1 WITH DIM2 BY LEVEL_ (IDENTIFY)
  /MISSING=LISTWISE .

***Modell 3 - Principal.

CORRESPONDENCE
  TABLE = cntry(3 11)  BY ziel(12 21)
  /DIMENSIONS = 2
  /MEASURE = CHISQ
  /STANDARDIZE = RCMEAN
  /NORMALIZATION = principal
  /PRINT = TABLE RPOINTS CPOINTS RPROFILES CPROFILES
  /PLOT = NDIM(1,max) RPOINTS(10) CPOINTS(10) TRROWS(20)
  TRCOLUMNS(20)
  /outfile score ('scores_princip.sav') .

***Erzeugung einer Grafik mit dem Scores_2-Datensatz.

GRAPH
  /SCATTERPLOT(BIVAR)=DIM1 WITH DIM2 BY LEVEL_ (IDENTIFY)
  /MISSING=LISTWISE .


***Modell 4 - Zeilenprinzipal, 3 Dimensionen.

CORRESPONDENCE
  TABLE = cntry(3 11)  BY ziel(12 21)
  /DIMENSIONS = 1
  /MEASURE = CHISQ
  /STANDARDIZE = RCMEAN
  /NORMALIZATION = RPRINCIPAL
  /PRINT = TABLE RPOINTS CPOINTS RPROFILES CPROFILES
  /PLOT = NDIM(1,MAX) BIPLOT(10) RPOINTS(10) CPOINTS(10) TRROWS(20)
  TRCOLUMNS(20) .

***Modell 3 - Zeilenprinzipal, Rumnien als zustzliches Profil.

CORRESPONDENCE
  TABLE = cntry(3 11)  BY ziel(12 21)
  /DIMENSIONS = 2
  /supplementary cntry(10)
  /MEASURE = CHISQ
  /STANDARDIZE = RCMEAN
  /NORMALIZATION = rprincipal
  /PRINT = TABLE RPOINTS CPOINTS RPROFILES CPROFILES
  /PLOT = NDIM(1,MAX) BIPLOT(10) RPOINTS(10) CPOINTS(10) TRROWS(20)
  TRCOLUMNS(20) .

